/* 
 * keypad
 *
 * A suite of communication APIs for web and enterprise applications
 *
 * OpenAPI spec version: v1
 * Contact: fmalka@modulo.co.il
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 */
using System;
using System.Linq;
using System.IO;
using System.Text;
using System.Text.RegularExpressions;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Runtime.Serialization;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System.ComponentModel.DataAnnotations;
using SwaggerDateConverter = SeriousSIP.Client.SwaggerDateConverter;

namespace SeriousSIP.Model
{
    /// <summary>
    /// Defines SIPContactType
    /// </summary>
    [JsonConverter(typeof(StringEnumConverter))]
        public enum SIPContactType
    {
        /// <summary>
        /// Enum Extension for value: Extension
        /// </summary>
        [EnumMember(Value = "Extension")]
        Extension = 1,
        /// <summary>
        /// Enum Trunk for value: Trunk
        /// </summary>
        [EnumMember(Value = "Trunk")]
        Trunk = 2,
        /// <summary>
        /// Enum Mobile for value: Mobile
        /// </summary>
        [EnumMember(Value = "Mobile")]
        Mobile = 3,
        /// <summary>
        /// Enum External for value: External
        /// </summary>
        [EnumMember(Value = "External")]
        External = 4    }
}
